<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
Uses of Interface org.apache.commons.httpclient.Credentials (HttpClient 3.1 API)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface org.apache.commons.httpclient.Credentials (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient//class-useCredentials.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Credentials.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.apache.commons.httpclient.Credentials</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.commons.httpclient"><B>org.apache.commons.httpclient</B></A></TD>
<TD>Classes and interfaces supporting the client side of the HTTP protocol.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.commons.httpclient.auth"><B>org.apache.commons.httpclient.auth</B></A></TD>
<TD>Provides implementation of various authentication schemes as well as 
      utility classes that can be used to authenticate HTTP requests.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.commons.httpclient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A> in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A> that implement <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/NTCredentials.html" title="class in org.apache.commons.httpclient">NTCredentials</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A> for use with the NTLM authentication scheme which requires additional
 information.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/UsernamePasswordCredentials.html" title="class in org.apache.commons.httpclient">UsernamePasswordCredentials</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Username and password <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A> that return <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#getCredentials(org.apache.commons.httpclient.auth.AuthScope)">getCredentials</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScope.html" title="class in org.apache.commons.httpclient.auth">AuthScope</A>&nbsp;authscope)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>credentials</CODE></A> for the given authentication scope.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#getCredentials(java.lang.String, java.lang.String)">getCredentials</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;realm,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use #getCredentials(AuthScope)</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#getProxyCredentials(org.apache.commons.httpclient.auth.AuthScope)">getProxyCredentials</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScope.html" title="class in org.apache.commons.httpclient.auth">AuthScope</A>&nbsp;authscope)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>proxy credentials</CODE></A> for the given authentication scope.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#getProxyCredentials(java.lang.String, java.lang.String)">getProxyCredentials</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;realm,
                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;proxyHost)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use #getProxyCredentials(AuthScope)</I></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/package-summary.html">org.apache.commons.httpclient</A> with parameters of type <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#setCredentials(org.apache.commons.httpclient.auth.AuthScope, org.apache.commons.httpclient.Credentials)">setCredentials</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScope.html" title="class in org.apache.commons.httpclient.auth">AuthScope</A>&nbsp;authscope,
               <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>credentials</CODE></A> for the given authentication 
 scope.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#setCredentials(java.lang.String, java.lang.String, org.apache.commons.httpclient.Credentials)">setCredentials</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;realm,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
               <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use #setCredentials(AuthScope, Credentials)</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#setProxyCredentials(org.apache.commons.httpclient.auth.AuthScope, org.apache.commons.httpclient.Credentials)">setProxyCredentials</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScope.html" title="class in org.apache.commons.httpclient.auth">AuthScope</A>&nbsp;authscope,
                    <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>proxy credentials</CODE></A> for the given authentication 
 realm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>HttpState.</B><B><A HREF="../../../../../org/apache/commons/httpclient/HttpState.html#setProxyCredentials(java.lang.String, java.lang.String, org.apache.commons.httpclient.Credentials)">setProxyCredentials</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;realm,
                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;proxyHost,
                    <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>use #setProxyCredentials(AuthScope, Credentials)</I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.commons.httpclient.auth"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A> in <A HREF="../../../../../org/apache/commons/httpclient/auth/package-summary.html">org.apache.commons.httpclient.auth</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/auth/package-summary.html">org.apache.commons.httpclient.auth</A> that return <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></CODE></FONT></TD>
<TD><CODE><B>CredentialsProvider.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/CredentialsProvider.html#getCredentials(org.apache.commons.httpclient.auth.AuthScheme, java.lang.String, int, boolean)">getCredentials</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html" title="interface in org.apache.commons.httpclient.auth">AuthScheme</A>&nbsp;scheme,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
               int&nbsp;port,
               boolean&nbsp;proxy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Requests additional <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>authentication credentials</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/commons/httpclient/auth/package-summary.html">org.apache.commons.httpclient.auth</A> with parameters of type <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>BasicScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/BasicScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces basic authorization string for the given set of <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>DigestScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/DigestScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces a digest authorization string for the given set of 
 <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>, method name and URI.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>AuthScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces an authorization string for the given set of <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>NTLMScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Produces NTLM authorization string for the given set of 
 <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>BasicScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/BasicScheme.html#authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../../org/apache/commons/httpclient/auth/BasicScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>BasicScheme.authenticate(Credentials, HttpMethod)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>DigestScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/DigestScheme.html#authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../../org/apache/commons/httpclient/auth/DigestScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>DigestScheme.authenticate(Credentials, HttpMethod)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>AuthScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../../org/apache/commons/httpclient/auth/AuthScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>AuthScheme.authenticate(Credentials, HttpMethod)</CODE></A>
 
 Produces an authorization string for the given set of <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><CODE>Credentials</CODE></A>,
 method name and URI using the given authentication scheme in response to 
 the actual authorization challenge.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>NTLMScheme.</B><B><A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, java.lang.String, java.lang.String)">authenticate</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient">Credentials</A>&nbsp;credentials,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>Use <A HREF="../../../../../org/apache/commons/httpclient/auth/NTLMScheme.html#authenticate(org.apache.commons.httpclient.Credentials, org.apache.commons.httpclient.HttpMethod)"><CODE>NTLMScheme.authenticate(Credentials, HttpMethod)</CODE></A></I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/commons/httpclient/Credentials.html" title="interface in org.apache.commons.httpclient"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient//class-useCredentials.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Credentials.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
